Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.router
Interface ExitedContactListener

All Known Implementing Classes:
  CallByCallMeasureManager, CallNotifierForAgentsMove, CallNotifierForBadContactMismatchRate, CallTracer

    public interface ExitedContactListener

Represents an exited-contact listener which gets notified when a contact exits the system. A contact can leave the center when it is served, dequeued or blocked.

Method Summary
`void` | `blocked(Router router, Contact contact, int bType)` This method is called when the contact `contact` is blocked in the router `router`.
`void` | `dequeued(Router router, DequeueEvent ev)` This method is called when a contact leaves a waiting queue linked to the router `router`, without being served.
`void` | `served(Router router, EndServiceEvent ev)` This method is called when a contact was served by an agent.

Method Detail

### blocked

    void blocked(Router router,
                 Contact contact,
                 int bType)

  This method is called when the contact `contact` is blocked in the router `router`. The integer `bType` is used to indicate the reason of the blocking, e.g., the contact could not be served or put into any waiting queue.

  Parameters:
    `router` - the router causing the blocking.
    `contact` - the blocked contact.
    `bType` - an indicator giving the reason why the contact is blocked.

### dequeued

    void dequeued(Router router,
                  DequeueEvent ev)

  This method is called when a contact leaves a waiting queue linked to the router `router`, without being served.

  Parameters:
    `router` - the router causing the dequeueing.
    `ev` - the dequeue event.

### served

    void served(Router router,
                EndServiceEvent ev)

  This method is called when a contact was served by an agent. This method is called by the router before the after-contact work begins so `ev` does not contain the information about after-contact time.

  Parameters:
    `router` - the router managing the contact.
    `ev` - the end service event.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.